[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.DrawPanel

Signals the OnDrawPanel event handler (when assigned).

## Declaration

Source position: comctrls.pp line 159

`protected procedure TStatusBar.DrawPanel(`
`Panel: TStatusPanel;`
`const Rect: TRect`
`); virtual;`

## Arguments

`Panel` |  | Panel drawn in the method.
`Rect` |  | Rectangle for the drawing operation.

## Description

DrawPanel is a method used to draw the status bar panel specified in Panel to the specified rectangle (Rect) on the Canvas for the control. It signals the OnDrawPanel event handler (when assigned) using the values specified in the arguments. DrawPanel is called from the LMDrawItem method and occurs when the LM_DRAWITEM message is handled for the control.

## See also

TStatusBar.OnDrawPanel |  | Event handler signalled to draw a panel in the status bar.
TStatusBar.LMDrawItem |  | Draws the status bar panel when the specified LM_DRAWITEMS message is handled for the control.
TStatusPanel |  | Implements a panel displayed in TStatusBar.
TDrawPanelEvent |  | Specifies an event handler used to draw a panel in a status bar.